Summary:  Simple INI file parser library
Name:     inih
Version:  56
Release:  4%{?dist}
License:  BSD
URL:      https://github.com/benhoyt/inih
Source0:  %{url}/archive/r%{version}.tar.gz

BuildRequires: gcc g++ meson

%description
The inih provides simple INI file parser which is only a couple of pages 
of code, and it was designed to be small and simple, which is good for
embedded systems.

%package devel
Summary:  Development package for inih
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and header files for using inih.

%prep
%autosetup -n %{name}-r%{version}

%build
%meson 
%meson_build

%install
%meson_install
	
%files
%license LICENSE.txt
%doc README.md
%{_libdir}/lib%{name}.so.0
%{_libdir}/libINIReader.so.0
	
%files devel
%{_includedir}/ini.h
%{_includedir}/INIReader.h
%{_libdir}/pkgconfig/inih.pc
%{_libdir}/pkgconfig/INIReader.pc
%{_libdir}/lib%{name}.so
%{_libdir}/libINIReader.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 56-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 56-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 56-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 Wang Zhe <bessiewang@tencent.com> - 56-1
- initial build
